Subject: [OPSAWG] some too late nits in draft-ietf-opsawg-nat-yang-17

From: tom petch <[email-masked]>
Date: Wed, 10 Oct 2018 10:09:52 +0000

I note that
RFC7050
RFC7335
appear in YANG description clauses but are only Informative References,
not Normative as they should be.

Security Considerations references TLS1.2 RFC5246 where TLS1.3 RFC8446
should now be used

A Note to the RFC Editor perhaps

Tom Petch

---

From: <[email-masked]>
Date: Wed, 10 Oct 2018 11:22:27 +0000

Hi Tom, 

Thank you for sharing the comments. 

Please see inline. 

Cheers,
Med

> -----Message d'origine-----
> De : tom petch [mailto:[email-masked]]
> Envoyé : mercredi 10 octobre 2018 12:10
> À : Ignas Bagdonas
> Cc : [email-masked]; [email-masked]; draft-ietf-opsawg-nat-
> [email-masked]
> Objet : some too late nits in draft-ietf-opsawg-nat-yang-17
> 
> I note that
> RFC7050

[Med] This is an informative reference as Section 5.1 of that RFC provides some information about what is meant by destination-based pref64. We could provide RFC7225 as another pointer, but the intent is not to be exhaustive here.  

> RFC7335

[Med] This is not required to implement 646xlat, but 6877 is normative. RFC7335 is provided for information purposes to understand from where we extracted some prefixes cited in the text.  

> Security Considerations references TLS1.2 RFC5246 where TLS1.3 RFC8446

[Med] The document was approved by the IESG prior to the update to yang security guidelines available at https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines: 

==
Update from RFC5246 to RFC8446 - [WK - 2018-10-08 ]
==

I'm neutral on this one.